#ifndef __ACTUNKNOWN_H__
#define  __ACTUNKNOWN_H__

typedef struct __IUnknown IUnknown;
typedef struct __IUnknownVtbl IUnknownVtbl; 

struct __IUnknownVtbl
{
    uint32 (* addRef) (IUnknown* pobj);
    uint32 (* release) (IUnknown* pobj);
    ACTRESULT (*queryInterface)(IUnknown* pobj, ACTCLSID clsid, void ** ppNew);
};

#define IUnknown_addRef(po) (*((IUnknownVtbl**)po))->addRef(po)
#define IUnknown_release(po) (*((IUnknownVtbl**)po))->release(po)
#define IUnknown_queryInterface(po,id,ppn) (*((IUnknownVtbl**)po))->queryInterface(po,id,ppn)

#endif
