#ifndef __WASRUN_H__
#define __WASRUN_H__

#include "AEE.h"
#include "AEEError.h"

// Class IDs for Classes defined in this file
#define AEECLSID_WASRUN        0x010372FC
#define AEEIID_WASRUN        0x010372FD
//#include "wasrun.bid"

#ifdef __cplusplus
extern "C" {
#endif

//////////////////////
// Event ranges
//////////////////////

// External Events -- Applets outside of BTIL can send these to BTIL
// to change its behavior.
#define BTILEVTEXT_BASE             EVT_USER


#define INHERIT_IWasRun(iname) \
   INHERIT_IQueryInterface(iname); \
   void (*SetName)(iname *po, char *psz)

typedef struct _IWasRun IWasRun;
AEEINTERFACE(IWasRun)
{
   INHERIT_IWasRun(_IWasRun);
};

    
#ifdef __cplusplus
}
#endif

#endif /* __WASRUN_H__ */