#ifndef _QW_block_h
#define _QW_block_h

#ifdef DEBUG
/**
@brief      blockinfo simple linked list for memory logging routines(qw_memory.c)
            
            blockinfo Ѱ Ҵ ޸  Ҵ  ϴ ü̴.
            Ҵ  ޸ Դ blockinfo  ޸ Ҵ ϱ
            Ͽ  ־.
 */
struct BLOCKINFO
{
    struct BLOCKINFO * pbiNext;
    Uint8* pb;
    sizt_t size;
    QW_bool bReferenced;
}; 

typedef struct BLOCLINFO blockinfo; /* naming: bi, *pbi */

QW_bool createBlockInfo(Uint8 *pbNew, size_t sizeNew);
void    freeBlockInfo(Uint8 *pbToFree);
void    updateBlockInfo(Uint8 *pbOld, Uint8 *pbNew, size_t sizeNew);
size_t  sizeofBlock(Uint8 *pb);

void    clearMemoryRefs(void);
void    noteMemoryRef(void *pv);
void    checkMemoryRefs(void);
QW_bool validPointer(void *pv, size_t size);

#endif /* DEBUG */

#endif _QW_block_h