#ifndef _QW_thread_c_h
#define _QW_thread_c_h

#include "QW_error_c.h"
#include "QW_systhread_c.h"

/* This is the system-independent thread info structure */
struct QW_Thread {
	Uint32 threadid;
	SYS_ThreadHandle handle;
	int status;
	QW_error errbuf;
	void *data;
};

/* This is the function called to run a thread */
extern void QW_RunThread(void *data);

/* Routine to get the thread-specific error variable */
extern QW_error *QW_GetErrBuf(void);

#endif /* _QW_thread_c_h */
