/**
 * @file actHeap_Free.c
 * @brief FREE/FREEIF Test
 */

#include "AEEStdLib.h"

#include "ACTHeap.h"


static void actHeap_Free1()
{
    uint32 dwSize;
    void * pVoid;

    dwSize = 1; // in bytes
    pVoid = MALLOC(dwSize);

    FREE(pVoid);
}


static void actHeap_Free2()
{

    void * pVoid;

    pVoid = NULL;

    FREEIF(pVoid);
}


static void actHeap_Free3()
{
    uint32 dwSize;
    void * pVoid;

    dwSize = 1; // in bytes
    pVoid = MALLOC(dwSize);

    FREEIF(pVoid);

    // ACT_ASSERT(pVoid);
}
