// MyTestApp.h: interface for the cxTestApp class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MYTESTAPP_H__08613FEB_C355_4050_B7F4_7E22A8C92137__INCLUDED_)
#define AFX_MYTESTAPP_H__08613FEB_C355_4050_B7F4_7E22A8C92137__INCLUDED_

#include "AEEModGen.h"          // Module interface definitions
#include "AEEAppGen.h"          // Applet interface definitions

#include "AEEForm.h"            // Form interface
#include "AEERootForm.h"        // RootForm interface

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class cxTestApp : public AEEApplet  
{
//public:
//	cxTestApp();
//	virtual ~cxTestApp();
public:
    static boolean  HandleEvent(cxTestApp * pApp, AEEEvent eCode, uint16 wParam, uint32 dwParam);
    static boolean  initAppData(IApplet * pIApplet);
    static void     freeAppData(cxTestApp * pApp);
    
protected:
    void    freeData();
    boolean onEvent(AEEEvent eCode, uint16 wParam, uint32 dwParam);
    boolean initData();
    
private:
    AEEDeviceInfo   DeviceInfo; // always have access to the hardware device information
    IDisplay *      pIDisplay;  // give a standard way to access the Display interface
    IShell *        pIShell;    // give a standard way to access the Shell interface
    
   IRootForm *      rootForm;
   IForm *          mainForm;

};

#endif // !defined(AFX_MYTESTAPP_H__08613FEB_C355_4050_B7F4_7E22A8C92137__INCLUDED_)
