#include "sd/test.h"
#include <stdio.h>

/******************************************************************************/
static int test0(sd_test_t* a_test, int argc, char* argv[])
{    
    // sd_test_out(sd_test_get_name(a_test));
    sd_test_out(a_test);
    return 1;
}

/******************************************************************************/
int main(int argc, char* argv[])
{    
    int ret;
    int verbose;
    int timed;

    sd_test_t* t = sd_test_new(argc, argv);

    sd_test_add(t, test0);

    verbose = sd_test_get_verbose(t);
    timed = sd_test_get_timed(t);    
    //printf("\nverbose:[%d], timed :[%d]\n", verbose, timed);
    sd_test_set_verbose(t, 1);
    sd_test_set_timed(t, 1);
    
    ret = sd_test_run(t, argc, argv);

    sd_test_delete(t);
    return !ret;
}