/* $Id: rc.h,v 1.1 2005/05/18 05:13:25 heavenzen Exp $
 *
 * rc.h
 *
 * Copyright 2001-2003, Meiosys (www.meiosys.com). All rights reserved.
 *
 * See the COPYING file for the terms of usage and distribution.
 */

#ifndef __log4c_rc_h
#define __log4c_rc_h

#include "qw_types.h" //#include <log4c/defs.h>

#include "begin_code.h"
/* Set up for C function definitions, even when using C++ */
#ifdef __cplusplus
extern "C" {
#endif//__LOG4C_BEGIN_DECLS

typedef struct 
{
    struct 
    {
	int nocleanup;
	int bufsize;
	int debug;
    } config;

} log4c_rc_t;

#define log4c_rc	__log4c_rc()

extern log4c_rc_t*	__log4c_rc(void);
extern log4c_rc_t*	log4c_rc_new(void);
extern void		log4c_rc_delete(log4c_rc_t* a_rc);
extern int		log4c_rc_load(log4c_rc_t* a_rc, const char* a_filename);

/* Ends C function definitions when using C++ */
#ifdef __cplusplus
}
#endif
#include "close_code.h"//__LOG4C_END_DECLS

#endif
